package com.hzya.frame.sysnew.application.api.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.sysenum.SysEnum;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 应用api(SysApplicationApi)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:23:27
 */
public class SysApplicationApiEntity extends BaseEntity {

    /**  接口编码 */
    private Long apiCode;
    /**  Api接口地址(固定系统内部外放接口地址) */
    //应用编码
    private Long appCode;
    private String apiPath;
    /**  1启用2停用 */
    private String apiStatus;
    /**  api应用 */
    private String appId;
    /**  api应用名称 */
    private String appName;
    /** api应用地址 **/
    private String appUrl;
    /**  目录 */
    private String catalogueId;
    /**  目录名称 */
    private String catalogueName;
    /**  api名称 */
    private String apiName;
    /**  api描述 */
    private String apiRemark;
    /**  是否需要登录 1、是 2、否 */
    private String needLogin;
    /**  认证接口 */
    private String authenticationPort;
    /**  传参方式 1、query 2、data */
    private String parameterPassingMode;
    /**  目标地址 */
    private String destinationAddress;
    /**  请求编码 1、UTF-8 */
    private String requestCoding;
    /**  请求方法 1、POST 2、GET */
    private String requestMethod;
    /**  超时时间 6000 ms */
    private String timeoutPeriod;
    /**  限流 6000 ms */
    private String currentLimiting;
    /**  Header入参 JSON */
    private String headerIn;
    /**  Query入参 JSON */
    private String queryIn;
    /**  Body 入参类型 1、Application/json */
    private String bodyInType;
    /**  Body 入参 JSON */
    private String bodyIn;
    /**  Body 出参 JSON */
    private String bodyOut;
    /**  bean名称 */
    private String beanName;
    /**  方法名称 */
    private String funName;
    /**  是否扩展api 1、启用 2、停用*/
    private String extensionApi;

    /** 返回成功字段 */
    private String returnSuccessField;
    /**  返回成功值*/
    private String returnSuccessValue;
    /**  返回描述字段*/
    private String returnMsg;

    //对应nifi的apiid
    private String nifiApiId;

    public String getReturnMsg() {
        return returnMsg;
    }

    public void setReturnMsg(String returnMsg) {
        this.returnMsg = returnMsg;
    }

    public String getApiStatus() {
        return apiStatus;
    }

    public void setApiStatus(String apiStatus) {
        this.apiStatus = apiStatus;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCatalogueId() {
        return catalogueId;
    }

    public void setCatalogueId(String catalogueId) {
        this.catalogueId = catalogueId;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getApiRemark() {
        return apiRemark;
    }

    public void setApiRemark(String apiRemark) {
        this.apiRemark = apiRemark;
    }

    public String getNeedLogin() {
        return needLogin;
    }

    public void setNeedLogin(String needLogin) {
        this.needLogin = needLogin;
    }

    public String getAuthenticationPort() {
        return authenticationPort;
    }

    public void setAuthenticationPort(String authenticationPort) {
        this.authenticationPort = authenticationPort;
    }

    public String getParameterPassingMode() {
        return parameterPassingMode;
    }

    public void setParameterPassingMode(String parameterPassingMode) {
        this.parameterPassingMode = parameterPassingMode;
    }

    public String getDestinationAddress() {
        return destinationAddress;
    }

    public void setDestinationAddress(String destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    public String getRequestCoding() {
        return requestCoding;
    }

    public void setRequestCoding(String requestCoding) {
        this.requestCoding = requestCoding;
    }

    public String getRequestMethod() {
        return requestMethod;
    }

    public void setRequestMethod(String requestMethod) {
        this.requestMethod = requestMethod;
    }

    public String getTimeoutPeriod() {
        return timeoutPeriod;
    }

    public void setTimeoutPeriod(String timeoutPeriod) {
        this.timeoutPeriod = timeoutPeriod;
    }

    public String getCurrentLimiting() {
        return currentLimiting;
    }

    public void setCurrentLimiting(String currentLimiting) {
        this.currentLimiting = currentLimiting;
    }

    public String getHeaderIn() {
        return headerIn;
    }

    public void setHeaderIn(String headerIn) {
        this.headerIn = headerIn;
    }

    public String getQueryIn() {
        return queryIn;
    }

    public void setQueryIn(String queryIn) {
        this.queryIn = queryIn;
    }

    public String getBodyInType() {
        return bodyInType;
    }

    public void setBodyInType(String bodyInType) {
        this.bodyInType = bodyInType;
    }

    public String getBodyIn() {
        return bodyIn;
    }

    public void setBodyIn(String bodyIn) {
        this.bodyIn = bodyIn;
    }

    public String getBodyOut() {
        return bodyOut;
    }

    public void setBodyOut(String bodyOut) {
        this.bodyOut = bodyOut;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getCatalogueName() {
        return catalogueName;
    }

    public void setCatalogueName(String catalogueName) {
        this.catalogueName = catalogueName;
    }

    public Long getApiCode() {
        return apiCode;
    }

    public void setApiCode(Long apiCode) {
        this.apiCode = apiCode;
    }

    public String getApiPath() {
        return apiPath;
    }

    public void setApiPath(String apiPath) {
        this.apiPath = apiPath;
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    public String getFunName() {
        return funName;
    }

    public void setFunName(String funName) {
        this.funName = funName;
    }

    public String getExtensionApi() {
        return extensionApi;
    }

    public void setExtensionApi(String extensionApi) {
        this.extensionApi = extensionApi;
    }

    public String getReturnSuccessField() {
        return returnSuccessField;
    }

    public void setReturnSuccessField(String returnSuccessField) {
        this.returnSuccessField = returnSuccessField;
    }

    public String getReturnSuccessValue() {
        return returnSuccessValue;
    }

    public void setReturnSuccessValue(String returnSuccessValue) {
        this.returnSuccessValue = returnSuccessValue;
    }

    public String getAppUrl() {
        return appUrl;
    }

    public void setAppUrl(String appUrl) {
        this.appUrl = appUrl;
    }

    public Long getAppCode() {
        return appCode;
    }

    public void setAppCode(Long appCode) {
        this.appCode = appCode;
    }

    public String getNifiApiId() {
        return nifiApiId;
    }

    public void setNifiApiId(String nifiApiId) {
        this.nifiApiId = nifiApiId;
    }
}

